Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.utils
Class NonClosingStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.owasp.dependencycheck.utils.NonClosingStream

All Implemented Interfaces:
  Closeable

    public class NonClosingStream

extends FilterInputStream

NonClosingStream is a stream filter which prevents another class that processes the stream from closing it. This is necessary when dealing with things like JAXB and zipInputStreams.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`NonClosingStream(InputStream in)` Constructs a new NonClosingStream.

Method Summary
`void` | `close()` Prevents closing of the stream.

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonClosingStream

    public NonClosingStream(InputStream in)

  Constructs a new NonClosingStream.

  Parameters:
    `in` - an input stream.

Method Detail

### close

    public void close()

  Prevents closing of the stream.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.